Subject: [manet] a question about judging whether the MAC(802.11 used in Ad Hoc) is idle

From: "shaoxun" <[email-masked]>
Date: Wed, 7 Jan 2009 00:04:17 +0800

Dear all,
I'm sorry for my poor English first, because it's not my mother tongue.Maybe I should improve it.
About the method of judging whether the meduim is idle, there is a paper proposing three conditions:
1. NAV's value is less than the current time
2. receive state is idle
3. send state is idle
My question is whether satisfying the three conditions above is suffient.
I'm afraid that there may be an exclusive situation like that: the PHY senses the interference but the MAC thought the meduim is IDLE(because it has not received RTS/CTS and the rx_state and tx_state all both IDLE). So the MAC prepares to send message, while the PHY layer is not really IDLE. 
Am I right?

Many thanks!
Best regards.
_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet